### Function

# GLib unichar_isspace

#### Declaration

    gboolean
    g_unichar_isspace (
      gunichar c
    )

#### Description

Determines whether a character is a space, tab, or line separator (newline, carriage return, etc.). Given some UTF-8 text, obtain a character value with g_utf8_get_char().

(Note: don’t use this to do word breaking; you have to use Pango or equivalent to get word breaking right, the algorithm is fairly complex.).

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gboolean`

`TRUE` if `c` is a space character.